docusign.accounts.put-shared-access ​
This sets the shared access status for one or more users or templates. When setting user shared access, only users with account administration privileges can set shared access status for envelopes. When setting template shared access, only users who own a template and have sharing permission or with account administration privileges can set shared access for templates. Changes to the shared items status are not additive. The change always replaces the current status. To change template shared access, add the query parameter item_type = templates to the request. When this is set, the user and envelopes properties are not required. Note: This functionality is a newer version of the Update Group Share functionality. ### Related topics - How to share access to a Docusign envelope inbox
Reserved: Sets the shared access information for users.
Overview ​
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
item_type | string | No | — | Specifies the type of shared item being set: - envelopes: Set envelope sharing between users. - templates: Set information about template sharing among users and groups. - folders: Get information about folder sharing among users and groups. |
preserve_existing_shared_access | string | No | — | When true, preserve the existing shared access settings. |
user_ids | string | No | — | A comma-separated list of IDs for users whose shared item access is being set. |
accountid_2 | string | No | — | The account ID associated with the envelope. |
endposition | string | No | — | The last index position in the result set. |
errordetails | json | No | — | This object describes errors that occur. It is only valid for responses and ignored in requests. |
nexturi | string | No | — | The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search. |
previousuri | string | No | — | The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search. |
resultsetsize | string | No | — | The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize. |
sharedaccess | list | No | — | A list of shared access information of envelope and templates for the users specified in the request. |
startposition | string | No | — | The starting index position of the current result set. |
totalsetsize | string | No | — | The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize. |
Output Schema ​
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
item_type | string | No | — | Specifies the type of shared item being set: - envelopes: Set envelope sharing between users. - templates: Set information about template sharing among users and groups. - folders: Get information about folder sharing among users and groups. |
preserve_existing_shared_access | string | No | — | When true, preserve the existing shared access settings. |
user_ids | string | No | — | A comma-separated list of IDs for users whose shared item access is being set. |
accountid_2 | string | No | — | The account ID associated with the envelope. |
endposition | string | No | — | The last index position in the result set. |
errordetails | json | No | — | This object describes errors that occur. It is only valid for responses and ignored in requests. |
nexturi | string | No | — | The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search. |
previousuri | string | No | — | The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search. |
resultsetsize | string | No | — | The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize. |
sharedaccess | list | No | — | A list of shared access information of envelope and templates for the users specified in the request. |
startposition | string | No | — | The starting index position of the current result set. |
totalsetsize | string | No | — | The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States ​
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call PUT /v2.1/accounts/{accountId}/shared_access |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram ​
Transitions ​
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform PUT /v2.1/accounts/{accountId}/shared_access |
* (any state) | fail | failed | Record the failure reason |
API Usage ​
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.accounts.put-shared-access",
"initial_data": {
"base_url": "value",
"accountid": "value"
}
}